Récupérer une mission par identifiant
curl --request GET \
--url https://api.papslogistics.com/tasks/fetch/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.papslogistics.com/tasks/fetch/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.papslogistics.com/tasks/fetch/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"error": "<string>",
"data": {
"_id": "<string>",
"job_address": {
"country": "Senegal",
"countryCode": "SN",
"city": "Dakar-Plateau",
"region": "Dakar Region",
"address": "Dakar-Plateau, Dakar Region, Senegal",
"additional_address": "<string>",
"location": {
"latitude": 14.6629438,
"longitude": -17.4374803
},
"place_id": "ChIJXRv0vE5ywQ4RpvG-1YKthC0"
},
"job_date": "2020-01-01",
"job_slot_start": "11:00",
"job_slot_end": "13:00",
"job_time": "11:00",
"uid": "<string>"
}
}Tasks
Récupérer une mission
GET
/
tasks
/
fetch
/
{id}
Récupérer une mission par identifiant
Authorizations
Clé API du client, disponible dans son espace personnel Paps.
Path Parameters
Identifiant de la mission
Response
200 - application/json
Mission trouvée
Code de statut de la réponse
Example:
200
Message associé à la réponse
Example:
"Success"
null en cas de succès. En cas d'erreur métier (codes 400 et 500), contient un message ou un nom d'exception sous forme de chaîne libre.
Show child attributes
Show child attributes
⌘I